﻿using Syncfusion.UI.Xaml.Schedule;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using System.Threading.Tasks;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI;
using Windows.UI.Core;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409

namespace AppointmentsRenderBug
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
            myScheduler.Loaded += MyScheduler_Loaded;
        }

        private void MyScheduler_Loaded(object sender, RoutedEventArgs e)
        {
            myScheduler.WorkStartHour = 12;
            myScheduler.NonWorkingDays = "Sunday";
            myScheduler.ScheduleType = ScheduleType.WorkWeek;
        }

        private void Page_Loaded(object sender, RoutedEventArgs e)
        {
            RefreshAppointments();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            RefreshAppointments();
        }

        private void RefreshAppointments()
        {
            var year = DateTime.Now.Year;
            var month = DateTime.Now.Month;

            var firstDay = new DateTime(2017, 03, 13);

            myScheduler.Appointments.Clear();

            for (int i = 1; i <= 6; i++)
            {
                var day = firstDay.Day;
                myScheduler.Appointments.Add(new ScheduleAppointment()
                {
                    Subject = "Appointment 1",
                    StartTime = new DateTime(year, month, day, 14, 00, 00),
                    EndTime = new DateTime(year, month, day, 15, 00, 00)
                });

                myScheduler.Appointments.Add(new ScheduleAppointment()
                {
                    Subject = "Appointment 2",
                    StartTime = new DateTime(year, month, day, 14, 30, 00),
                    EndTime = new DateTime(year, month, day, 15, 30, 00)
                });

                myScheduler.Appointments.Add(new ScheduleAppointment()
                {
                    Subject = "Appointment 3",
                    StartTime = new DateTime(year, month, day, 15, 00, 00),
                    EndTime = new DateTime(year, month, day, 16, 00, 00)
                });

                myScheduler.Appointments.Add(new ScheduleAppointment()
                {
                    Subject = "Appointment 4",
                    StartTime = new DateTime(year, month, day, 15, 00, 00),
                    EndTime = new DateTime(year, month, day, 15, 50, 00)
                });

                myScheduler.Appointments.Add(new ScheduleAppointment()
                {
                    Subject = "Appointment 5",
                    StartTime = new DateTime(year, month, day, 15, 30, 00),
                    EndTime = new DateTime(year, month, day, 16, 10, 00)
                });

                myScheduler.Appointments.Add(new ScheduleAppointment()
                {
                    Subject = "Appointment 6",
                    StartTime = new DateTime(year, month, day, 15, 00, 00),
                    EndTime = new DateTime(year, month, day, 15, 50, 00)
                });
                firstDay = firstDay.AddDays(1);
            }
        }
        private void Button_Click2(object sender, RoutedEventArgs e)
        {
            if (myScheduler.ScheduleType == ScheduleType.WorkWeek)
                myScheduler.ScheduleType = ScheduleType.Day;
            else
                myScheduler.ScheduleType = ScheduleType.WorkWeek;
        }
    }
}
